%define	version 0.2.6
%define kdename kfilecoder
%define release 13mdk
%define kdedir %{_libdir}/kde1-compat

Name: %{kdename}
Summary: File encoder application
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kfilecoder_menuentry
Patch: kfilecoder-gcc2.9.5.patch.bz2
Patch1: kfilecoder-marie.diff.bz2
Group: File tools
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt kdelibs

%description
Application that encodes files with a password for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find \( -name .deps -o -name config.cache \) |xargs rm -Rf
%patch -p0 -b .gcc2.9.5
%patch1 -p1

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{kdedir}
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install

make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML\
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kfilecoder

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kfilecoder
%{_menudir}/kfilecoder
#%dir /usr/share/apps
%{kdedir}/share/apps/kfilecoder
#%dir /usr/share/icons
#%{_iconsdir}/kfilecoder.xpm
#%dir /usr/share/icons/mini
%{_miconsdir}/kfilecoder.xpm
#/usr/share/mimelnk/application/x-kfilecoder.kdelnk

%changelog
* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-13mdk
- Add missing directory

* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.6-12mdk
- removed mimetype

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.6-11mdk
- rebuilt in new ke-no-bi environement
- added documentation

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.6-10mdk
- added back x-kfilecoder.kdelnk

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.6-9mdk
- added MimeType.

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.6-8mdk

- Post and postun scripts
- Added --disable-rpath in ./configure

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.6-7mdk

- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Fri Oct 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix translations of kdelnk.

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker

* Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.2.6 
- change the name kfilecoder-src to kfilecoder

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

